<?php

//use Illuminate\Support\Facades\Route;

/*
  |--------------------------------------------------------------------------
  | Web Routes
  |--------------------------------------------------------------------------
  |
  | Here is where you can register web routes for your application. These
  | routes are loaded by the RouteServiceProvider within a group which
  | contains the "web" middleware group. Now create something great!
  |
 */

//Route::get('language/{id}/{slug?}', 'LanguageController@details');
/**
 * Localization Group
 */
Route::group(['prefix' => LaravelLocalization::setLocale()], function () {

    Route::group(['namespace' => 'Web', 'middleware' => ['checkWebSiteEnabled', 'WebsiteVisitorCount']], function () {
        //Home
        Route::get('/', 'HomeController@index')->name('home');

        Route::resource('/event', 'EventController')->only('index');
        Route::resource('/deal', 'DealController')->only('index','show');
        Route::resource('/room', 'RoomController')->only('index','show');
        Route::resource('/customer_care', 'CustomerCareController')->only('index','store');

    });

});
